/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FATORPRECO                                               */
/* Tabela : FATORPRECO                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_FATORPRECO' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_FATORPRECO
GO

CREATE TRIGGER DTULTATU_FATORPRECO
ON FATORPRECO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'FATORPRECO', null, 'CDFATPRECO='+ CDFATPRECO + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE FATORPRECO
      SET DTULTATUFPRE = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(FATORPRECO.CDFATPRECO,0) = ISNULL(INSERTED.CDFATPRECO,0)) AND
            (ISNULL(FATORPRECO.SGFATPRECO,0) = ISNULL(INSERTED.SGFATPRECO,0)) AND
            (ISNULL(FATORPRECO.NMFATPRECO,0) = ISNULL(INSERTED.NMFATPRECO,0));
   END;
END;
GO

